#pragma once

#include "CoreMinimal.h"
#include "EEmblemQuality.h"
#include "UObject/SoftObjectPtr.h"
#include "EmblemViewData.generated.h"

class UTexture2D;

USTRUCT(BlueprintType)
struct FEmblemViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EEmblemQuality Quality;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TSoftObjectPtr<UTexture2D> IconTexture;

public:
	DBDUIVIEWINTERFACES_API FEmblemViewData();
};

FORCEINLINE uint32 GetTypeHash(const FEmblemViewData) { return 0; }
